
set( icarus_signal_processing_VERSION 09.26.01 )
set( icarus_signal_processing_UPS_VERSION v09_26_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/icarus_signal_processing/v09_26_01/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/icarus_signal_processing/v09_26_01/Modules")
endif()



## find_library directives
find_ups_product( fftw  )
  cet_find_library( ICARUS_FFTW3_LIBRARY NAMES fftw3 PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-debug/lib )
  cet_find_library( ICARUS_FFTW3F_LIBRARY NAMES fftw3f PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-debug/lib )
  cet_find_library( ICARUS_FFTW3L_LIBRARY NAMES fftw3l PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-debug/lib )
  cet_find_library( ICARUS_FFTW3Q_LIBRARY NAMES fftw3q PATHS /cvmfs/larsoft.opensciencegrid.org/products/fftw/v3_3_8a/Linux64bit+3.10-2.17-debug/lib )
set(ICARUS_SIGNAL_PROCESSING_FILTERS "$ENV{ICARUS_SIGNAL_PROCESSING_LIB}/libicarus_signal_processing_Filters.so")
set(ICARUS_SIGNAL_PROCESSING_DETECTION "$ENV{ICARUS_SIGNAL_PROCESSING_LIB}/libicarus_signal_processing_Detection.so")
set(ICARUS_SIGNAL_PROCESSING "$ENV{ICARUS_SIGNAL_PROCESSING_LIB}/libicarus_signal_processing.so")
  include_directories ( "$ENV{ICARUS_SIGNAL_PROCESSING_INC}" )

check_required_components(icarus_signal_processing)

